Package org.jbpm.casemgmt.impl.model

## Class CaseMilestoneImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.CaseMilestoneImpl

- All Implemented Interfaces:
    `Serializable`, `CaseMilestone`

      public class CaseMilestoneImpl
      extends Object
      implements CaseMilestone, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseMilestoneImpl​(String id, String name)` |
    `CaseMilestoneImpl​(String id, String name, String achievementCondition, boolean mandatory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAchievementCondition()` | Returns condition that will indicate this mile stone is achieved.
    `String` | `getId()` | Returns id of the milestone.
    `String` | `getName()` | Returns name of the milestone.
    `boolean` | `isMandatory()` | Defines if this milestone is required before case completion.
    `void` | `setAchievementCondition​(String achievementCondition)` |
    `void` | `setId​(String id)` |
    `void` | `setMandatory​(boolean mandatory)` |
    `void` | `setName​(String name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseMilestoneImpl

          public CaseMilestoneImpl​(String id,
                                   String name)

    - #### CaseMilestoneImpl

          public CaseMilestoneImpl​(String id,
                                   String name,
                                   String achievementCondition,
                                   boolean mandatory)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `CaseMilestone`
      Returns id of the milestone.
      Specified by:
        `getId` in interface `CaseMilestone`
      Returns:

    - #### getName

          public String getName()

      Description copied from interface: `CaseMilestone`
      Returns name of the milestone.
      Specified by:
        `getName` in interface `CaseMilestone`
      Returns:

    - #### getAchievementCondition

          public String getAchievementCondition()

      Description copied from interface: `CaseMilestone`
      Returns condition that will indicate this mile stone is achieved.
      Specified by:
        `getAchievementCondition` in interface `CaseMilestone`
      Returns:

    - #### isMandatory

          public boolean isMandatory()

      Description copied from interface: `CaseMilestone`
      Defines if this milestone is required before case completion.
      Specified by:
        `isMandatory` in interface `CaseMilestone`
      Returns:

    - #### setId

          public void setId​(String id)

    - #### setName

          public void setName​(String name)

    - #### setAchievementCondition

          public void setAchievementCondition​(String achievementCondition)

    - #### setMandatory

          public void setMandatory​(boolean mandatory)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`